import { Block } from "payload";
import { BadgeList } from "../BadgeList/config";

export const ShowcaseCard: Block = {
  slug: 'showcaseCard',
  interfaceName: 'ShowcaseCardBlock',
  fields: [
    {
      name: 'image',
      type: 'relationship',
      relationTo: 'media'
    },
    {
      name: 'video',
      type: 'relationship',
      relationTo: 'media'
    },
    {
      name: 'mainLink',
      type: 'text',
    },
    {
      name: 'title',
      type: 'text',
    },
    {
      name: 'unstructuredDate',
      type: 'text',
    },
    {
      name: 'description',
      type: 'richText'
    },
    {
      name: 'tags',
      label: 'Add Tag Section',
      type: 'blocks',
      blocks: [BadgeList],
    },
    {
      name: 'links',
      label: 'Add Link Section',
      type: 'blocks',
      blocks: [BadgeList],
    },
  ]
}

export const Showcase: Block = {
  slug: 'showcase',
  interfaceName: 'ShowcaseBlock',
  fields: [
    {
      name: 'listName',
      type: 'text',
    },
    {
      name: 'heading',
      type: 'text',
    },
    {
      name: 'subheading',
      type: 'text',
    },
    {
      name: 'lineItems',
      type: 'blocks',
      blocks: [ShowcaseCard]
    },
  ],
}
