import { Block } from "payload";

export const SimpleList: Block = {
  slug: 'simpleList',
  interfaceName: 'SimpleListBlock',
  fields: [
    {
      name: 'listHeader',
      type: 'text',
    },
    {
      name: 'lineItems',
      type: 'array',
      fields: [
        {
          name: 'title',
          type: 'text',
        },
        {
          name: 'subtitle',
          type: 'text',
        },
        {
          name: 'description',
          type: 'richText',
        },
        {
          name: 'extraDetail',
          type: 'text',
        },
        {
          name: 'avatar',
          type: 'relationship',
          relationTo: 'media',
        },
        {
          name: 'initials',
          type: 'text',
        },
        {
          name: 'link',
          type: 'text',
        },
        {
          name: 'isInitiallyHidden',
          type: 'checkbox',
        },
      ],
    },
  ],
}
